Name:           telepathy-stream-engine
Version:        0.5.11
Release:        1%{?dist}
Summary:        Telepathy client to handle media streaming

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/stream-engine/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  farsight2-devel >= 0.0.14
BuildRequires:  telepathy-farsight-devel >= 0.0.8
BuildRequires:	dbus-devel >= 0.95
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	telepathy-glib-devel >= 0.7.20
BuildRequires:	gtk2-devel
BuildRequires:	gstreamer-devel >= 0.10.23
BuildRequires:	gstreamer-plugins-base-devel 
BuildRequires:	libX11-devel
BuildRequires:	libxslt


%description
A Telepathy client that uses Farsight and GStreamer to handle media
streaming for channels with the IceSignalling interface.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libexecdir}/%{name}
%dir %{_sysconfdir}/stream-engine
%config(noreplace) %{_sysconfdir}/stream-engine/gstcodecs.conf
%config(noreplace) %{_sysconfdir}/stream-engine/gstelements.conf
%{_datadir}/dbus-1/services/org.maemo.Telepathy.StreamEngine.service


%changelog
* Sun Aug 30 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.5.11-1
- Update to 0.5.11.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.5.9-1
- Update to 0.5.9.

* Sun Apr 12 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.5.8-1
- Update to 0.5.8.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 19 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.3-2
- rebuilt for new libjingle.

* Thu May 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3.

* Tue Apr 22 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.5.2-1
- Update to 0.5.2.

* Fri Mar 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-4
- Rebuild for new farsight.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-3
- Rebuild for gcc-4.3.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-2
- Rebuild.

* Fri Aug 10 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.25-1
- Update to 0.3.25.
- Bump min version of farsight-devel needed to 0.1.23.

* Fri Aug  3 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.23-2
- Update license tag.

* Sun May 20 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.23-1
- Update to 0.3.23.
- Add min ver for farsight & libtelepathy.

* Wed Feb 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.21-1
- Update to 0.3.21.

* Sat Jan  6 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.3.20-1
- Update to 0.3.20.

* Mon Dec 25 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.18-2
- Disable sequence-diagrams.

* Fri Dec 22 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.18-1
- Update to 0.3.18.

* Sun Dec  3 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.3.16-1
- Initial FE Spec.

